<?php

global $defaults;

// Check if Right sidebar is active
function minimal_sidebar_active_right(){
    global $wp_query;
    $post = $wp_query->post->ID;
    if (is_active_sidebar( 'sidebar-right' ) ){
        return true;
    }else{
        return false;
    }
}



/**
* Including class for sidebar widget css class
*/
function minimal_determine_single_content_width(){
  global $defaults;
  $sidebar_width = $defaults['minimal_layout_single_sidebar_width'];

    if ( is_singular() && minimal_sidebar_active_right() && $sidebar_width === 1 ){
        echo 'col-md-9';
    }elseif(is_singular() && minimal_sidebar_active_right() && $sidebar_width === 2){
        echo 'col-md-8';
    }elseif(is_singular() && minimal_sidebar_active_right() && $sidebar_width === 3){
        echo 'col-md-7';
    }elseif(is_singular() && minimal_sidebar_active_right() && $sidebar_width === 4){
        echo 'col-md-6';
    }else{
        echo 'col-md-12';
    }
}


function minimal_determine_single_sidebar_width(){
  global $defaults;
  $sidebar_width = $defaults['minimal_layout_single_sidebar_width'];

    if ( is_singular() && minimal_sidebar_active_right() && $sidebar_width === 1 ){
        echo 'col-md-3';
    }elseif(is_singular() && minimal_sidebar_active_right() && $sidebar_width === 2){
        echo 'col-md-4';
    }elseif(is_singular() && minimal_sidebar_active_right() && $sidebar_width === 3){
        echo 'col-md-5';
    }elseif(is_singular() && minimal_sidebar_active_right() && $sidebar_width === 4){
        echo 'col-md-6';
    }else{
        echo 'col-md-12';
    }
}



function minimal_blog_sidebar(){
	if (is_active_sidebar( 'sidebar-blog' )){
		echo 'col-md-9';
	}else{
		echo 'col-md-12';
	}
}

/**
 * Register widget areas.
 *
 * @link http://codex.wordpress.org/Function_Reference/register_sidebar
 */
function minimal_widgets_init() {



  register_sidebar( array(
    'name'          => esc_html__( 'Homepage Widgets', 'minimal-magazine' ),
    'id'            => 'homepage-widgets',
    'description'   => '',
    'before_widget' => '<section id="%1$s" class="homepage-widgets col-md-12 %2$s">',
    'after_widget'  => '</section>',
    'before_title'  => '<h2 class="heading-two widget-title">',
    'after_title'   => '</h2>',
  ) );

  register_sidebar( array(
    'name'          => esc_html__( 'Single Article - Right Sidebar', 'minimal-magazine' ),
    'id'            => 'sidebar-right',
    'description'   => esc_html__( 'These widgets will be only visible in Blog Page Template, Archive pages','minimal-magazine' ),
    'before_widget' => '<section id="%1$s" class="widget %2$s">',
    'after_widget'  => '</section>',
    'before_title'  => '<h2 class="heading-three widget-title">',
    'after_title'   => '</h2>',
  ) );

  register_sidebar( array(
    'name'          => esc_html__( 'Blog - Right Sidebar', 'minimal-magazine' ),
    'id'            => 'sidebar-blog',
    'description'   => esc_html__( 'These widgets will be only visible in Blog Page Template, Archive pages','minimal-magazine' ),
    'before_widget' => '<section id="%1$s" class="widget %2$s">',
    'after_widget'  => '</section>',
    'before_title'  => '<h2 class="heading-three widget-title">',
    'after_title'   => '</h2>',
  ) );

}