<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package minimal-magazine
 */
get_header(); ?>
<main id="primary" class="content-area" role="main">
<div id="main" class="site-main">
<section class="error-404 not-found website__canvas">

<header class="page-header">
	<h1 class="page-title heading-one"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'minimal-magazine' ); ?></h1>
</header><!-- .page-header -->

<div class="page-content">
	<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'minimal-magazine' ); ?></p>
	<?php get_search_form();?>
</div>
</section>
</div>
</main>
<?php get_footer(); ?>