<?php
/**
 * Template part for displaying single posts.
 *
 * @package minimal-magazine
 */
global $defaults;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class();?>>
	<?php
	do_action( 'magazine_single_post_top' );

	/**
	 * Functions hooked into magazine_single_post add_action
	 *
	 * @hooked magazine_single_two_post_header          - 10
	 * @hooked the_excerpt            - 20
	 * @hooked minimal_single_post_thumbnail         - 30
	 * @hooked magazine_single_two_post_content         - 40
	 */
	do_action( 'magazine_single_post' );


	do_action( 'magazine_single_post_bottom' );
	?>
</article>