<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package minimal-magazine
 */
global $defaults;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('col-md-12');?>>
<div class="row">
<div class="blog__post">

	<div class="col-md-7 layout-golden--one__left">
		<?php minimal_post_thumbnail();?>
    </div>

    <div class="col-md-5 layout-golden--one__right" data-aos="zoom-out-left" data-aos-duration="1000" data-aos-easing="ease-out-quad" data-aos-once="true">
	    <div class="blog__post__right">
	    	<div class="meta blog-post__meta">
		    	<?php minimal_published_on();?>
	    	</div>
		    <header class="entry-header">
				<?php the_title( sprintf( '<h3 class="entry-title heading-two"><a href="%s">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
			</header>
		    <div class="blog__post__excerpt">
		       <?php the_excerpt();?>
		    </div>
	    </div>
    </div>
</div>
</div>
</article>